Advanced search FAQ Register Login

It is currently Wed Feb 21, 2018 6:07 am

 

Postby tntnle@telus.net » Tue Sep 06, 2016 12:16 am

I have purchased a hot pi board to use on my raspberry Pi model 3b. Is this board compatible with the OSMC operating system and if so, what software do I have to install to make the board functional? Thanks!!

tntnle@telus.net
n00b

Posts: 2

Joined: Tue Sep 06, 2016 12:08 am

Postby Jake » Tue Sep 06, 2016 9:08 am

We tested it this morning without luck (but albeit very briefly!)

I have contacted the manufacturer to see if they can shed some light!

-- Jake

Jake
ModMyPi

User avatar

Posts: 1397

Joined: Thu Aug 27, 2015 3:57 pm

Forum Administrator & Technical Support

Postby Dave » Tue Sep 06, 2016 9:27 am

Had a closer look into this and was able to get all the software installed with the following:

(please note, the following was done over SSH)

Code: Select all

sudo apt-get update
sudo apt-get upgrade
sudo apt-get install git git-core make gcc build-essentials


From there I was able to install the HotPi software as instructed from their Git page - https://github.com/klattimer/HotPi

Code: Select all

git clone https://github.com/klattimer/HotPi.git
cd HotPi
sudo chmod +x build.sh
sudo chmod +x install.sh
sudo ./build.sh
sudo ./install.sh


(The two chmod commands aren't on their Git page, but needed to make the files executable)

If you download the pdf manual from their Git page there are instructions on how to re-compile the Linux kenral for RTC support (don't know if this needs to be done or not)

Dave
ModMyPi

User avatar

Posts: 2154

Joined: Wed Jul 22, 2015 11:36 am

Forum Administrator & Technical Support

Postby tntnle@telus.net » Tue Sep 06, 2016 11:09 pm

Thanks for your help guys much appreciated

tntnle@telus.net
n00b

Posts: 2

Joined: Tue Sep 06, 2016 12:08 am

Who is online

Users browsing this forum: No registered users and 1 guest

Board index

The teamDelete all board cookies • All times are UTC [ DST ]